| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class SCClassException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--SCClassException

All Implemented Interfaces:
  java.io.Serializable

public class SCClassException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`private de.dhbwstuttgart.typeinference.Menge` | `exlist`

Fields inherited from class java.lang.Exception
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`SCClassException()`

Method Summary
`void` | `addClassname(java.lang.String cn)`
`void` | `addException(de.dhbwstuttgart.typeinference.Menge v)`
`void` | `fehlerausgabe()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### exlist

    private de.dhbwstuttgart.typeinference.Menge exlist

Constructor Detail

### SCClassException

    public SCClassException()

Method Detail

### addException

    public void addException(de.dhbwstuttgart.typeinference.Menge v)

### addClassname

    public void addClassname(java.lang.String cn)

### fehlerausgabe

    public void fehlerausgabe()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD